Subject: DPT driver available
From: [email-masked] (Remy CARD)
Date: Wed, 1 Jun 1994 01:11:47 GMT
Newsgroups: comp.os.linux.announce

p[
	Hi,

	I am posting this announce for a friend who does not have an Internet
access.

	A SCSI DPT driver is available on ftp.ibp.fr in the directory
/pub/linux/ALPHA/scsi.  I have also uploaded it to tsx-11 and it should be
moved soon in the same directory.

	I am enclosing the README file in this announce.  Remember that I am
not the author of this driver.  Please contact [email-masked] if
you need to get in touch with the author.

		Remy

##	-*-Fundamental-*- (Just help Emacs)
##	Name	:	cyril
##	Date	:	Fri Mar 11 10:29:12 1994
##	Subjetc	:	How to install the dpt driver
##	File	:	dpt.info
##	Modif	:	Mon May  2 21:45:00 GMT-0100 1994
##	Version	:	$Id: README,v 1.0 1994/03/22 09:08:39 cyril Exp $
##

#
# Sorry for my english I am french
# if someone wants to correct this you can do it and send to me 
# the correct version
#

	Hello,

This the README file for installing the dpt driver.
The driver works with Linux Version 1.0 (current release when I wrote these
lines).

This is the first release of this driver so be careful and backup your system
before you try this driver.

INFO
----

I have been using this driver for several weeks and I did not find any problem,
but I have a 2122 board, EISA version and 68020 CPU and I have never tested it
with an ISA board.

If it works for you on an ISA board, please let me know.  Send me a mail and
tell me that it is working (I hope to receive such mails ;-)).

Last Info: 
No more Bug, I reach the stress test, no thanks to DPT for the poor
documentation. 
I can't automaticaly detect the DMA (Bug or not a bug of DPT ?).  I am working
on this problem.

DMA MODE ONLY 
-------------

The driver currently only works in DMA mode and not in PIO mode (I don't know
if I will work on the support of PIO mode -- it depends on the mail that I
will hopefully receive about this problem.)

Caution
=======

I have no idea of what happens in a normal DPT board, because i have a 
EISA DPT board (2122 68020 CPU and EISA BUS), but normally it is  
working.  The only problem is the automatic routine that detects the DPT. 
If it doesn't detect your board, change the value iobase in the file dpt.c.

ushort dpt_iobase[] = { 0x1c88, 0x0  };

and put in first the address of the board.  The driver normally detects the
irq used by the board.

You must look for the DMA number used by the DPT, because I don't know how
to detect it automatically.

If there are any time-out problems (the kernel prints some messages and these
messages should be in your syslog output), increase the value of the variable
TIMEOUT in the file dpt.h.  The default value is set for a 486DX50 and it's
large.

HOW TO INSTALL
==============

DPT FILE
--------

To install, first put the file dpt.c and dpt.h in the scsi subdirectory in
the kernel sources (normally /usr/src/linux/drivers/scsi).

Then, you have to apply patches to integrate the DPT driver into the
kernel.  You can use the patch file included in the package or do it
the hard way (i.e. modify the source files yourself).

If you choose to use the patch file, all you have to do is:
	cd /usr/src
	patch -p -s <dpt.diff
then, you have to recompile the kernel.

If you prefer to change every file yourself, follow these instructions:

CONFIG.IN
---------

You have to modify the file config.in to add the DPT driver in the SCSI part.
	*
	* SCSI low-level drivers
	*
(..)
bool 'DPT support' CONFIG_SCSI_DPT y

This is for the automatic config of the kernel.

HOSTS.C
-------

You have to change the file hosts.c located in the directory drivers/scsi.

Now the hosts.c file in the directory ( $HOME_LINUX_PATH/driver/scsi)
edit it (vi or emacs), in the beginning of the file you can see lots of include 
so insert in all this include this line 

First, at the beginning of the file, you have to insert the following lines:

#ifdef CONFIG_SCSI_DPT
#include "dpt.h"
#endif
 
these lines should be added after the other #include directives.

Then, change the declaration of the structure 'scsi_hosts[]' to add:

#ifdef CONFIG_SCSI_DPT
	DPT,
#endif

MAKEFILE 
--------

Last, you have to change the file Makefile in drivers/scsi to include these
lines:

ifdef CONFIG_SCSI_DPT
SCSI_OBJS := $(SCSI_OBJS) dpt.o
SCSI_SRCS := $(SCSI_SRCS) dpt.c
endif

MAKE THE NEW KERNEL
-------------------

Now, you have to compile a new kernel.  To do so, run the following commands:

make mkproper (Clean everything)
make config (And don't forget to include the DPT driver in the configuration ;-)) 
make depend 
make (And wait)

You should obtain a new kernel able to support a DPT board.

NEXT TASK
=========

I would like to port the UFS filesystem to Linux so if you have some info,
ideas, or anything, please mail me and I'll try to work on it.

	Enjoy !

		Cyril

Mail adress : [email-masked]

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.